<?php
#--------------------------------for debugging only ----------------------------
//ini_set('display_errors', 'On'); 
//error_reporting(E_ALL);	
#-------------------------------------------------------------------------------
if (!isset ($SITE)) {
	$SITE					= array ();
	#---------------------------------------------------------------------------
	# Warnings, where to display and where to get
	#
	# adapt the 7 settings below / pas onderstaande 7 waardes aan uw situatie aan
	#---------------------------------------------------------------------------
	$SITE['warnArea']		= 'BE004';		// #####  area where this weatherstation is located find the correct area code via http://www.meteoalarm.eu/
											// #####  uw gebieds code zoals in gebruik op de www.meteoalarm.eu website. NB Alleen de kode niet de tekst!

	$SITE['cacheDir']		= './cache/';	// #####  set to your local cache directory  './cache/'   warnings are issued for any hours s a cache really helps  (1800 seconds = 1/2 hour)
											// #####  vermeld hier uw lokale cache directory.  de meteoalarm.eu website wordt ontlast door opgehaalde informatie hier te bewaren 

	$SITE['warningsXtnd'] 	= false;		// #####  false = one line per warning, true = also the long text description
											// #####  false = alleen een samenvatting van 1 regel.  true = extra tekst die soms erg lang kan zijn! 

	$SITE['warningsHeader'] = true;			// #####  true = headline <h3>  above warnings  with link to the exact page on the meteoalalrm.eu website, false = no extra line
											// #####  true = extra kopregel met een verwijzing naar meer informatie op de meteoalarm.eu website, false = geen extra  regel

	$SITE['warningGreen']	= false;		// #####  true = display warningbox also when there are no warnings to display, false = display only when there are warnings
											// #####  true = toch een warningbox o0k als er geen waarschuwingen zijn.  false = alleen een warningbox als er waarschuwingen zijn

	$SITE['warningSize']	= '100%';		// #####  '100%' = default, the warning takes available width. If your enclosing screen does not adapt, use number of pixels  '800px'
											// #####  de waarschuwing neemt normaal de hele beschikbare breedte in. Als uw pagina daar niet goed op reageert kunt u hier de gewenste breedte instellen
											
	$SITE['warnInc']		= './incMeteoalarm.php';   // #### points to the location of extra script. If in same place './incMeteoalarm.php'
											// #####  als u de beide scripts NIET opdezelfde plaats hebt opgeslagen, zet dan hier het pad en de naam van het andere script.	

	#---------------------------------------------------------------------------
	# [en] DO NOT change anything below this point if you are not an experienced PHP programmer
	# [nl] Wijzig NIETS hieronder als u geen ervaren (PHP) programmeur bent
	#---------------------------------------------------------------------------
	
	$SITE['warnImg']		= 'http://www.meteoalarm.eu/Bilder/warnflags/warn_';
	$SITE['EUwarningURL']	= 'http://www.meteoalarm.eu/index3.php?area='.$SITE['warnArea'].'&day=0&lang=ne_NL';
	$SITE['warningsMenu']	= $SITE['EUwarningURL'];
	$SITE['curlFollow']		= true;			// set to false if errors result for hosters who do not allow this
	$SITE['warnCSS']		= 'style=" border-radius: 5px; background-color: transparent; color: red; margin: 0px 0 5px 0; text-align: center; width: '.$SITE['warningSize'].';"';
	$SITE['tableCSS']		= 'style=" border-collapse: collapse; width: 100%; color: black; text-align: center;"';
	#---------------------------------------------------------------------------
}	else {
	$SITE['warnCSS']		= 'class="warnbox"';
	$SITE['tableCSS']		= 'class="genericTable"';
}
#--------housekeeping: register the script that is  loaded ---------------------
$pageName		= 'warning.php';
$pageVersion	= '1.01 2012-07-26';
$SITE['wsModules'][$pageName] = 'version: ' . $pageVersion;
$pageFile = basename(__FILE__);			// check to see this is the real script
if ($pageFile <> $pageName) {
	$SITE['wsModules'][$pageFile]	= 'this file loaded instead of '.$pageName;
}
echo '<!-- module '.$pageFile.' ==== '.$SITE['wsModules'][$pageFile]." -->".PHP_EOL;
#-------------------------------------------------------------------------------
if (!function_exists ('langtransstr') ) {  // is there any saratoga/vdkuil  translate script available if not, make our own
	$LANGLOOKUP = array ();	
	function langtransstr ($item) {
		global $LANGLOOKUP;
		$string = trim ((string) $item);
		if (isset($LANGLOOKUP[$string])) {
			$string = $LANGLOOKUP[$string];
		} 
		return $string;
	}
	$LANGLOOKUP ['There are weatherwarnings from METEOalarm.EU'] 	= 'Weerwaarschuwingen van METEOalarm.EU';
	$LANGLOOKUP ['There are no weatherwarnings from METEOalarm.EU'] = 'Geen weerwaarschuwingen van METEOalarm.EU';
	$LANGLOOKUP ['Click here to get more details.'] = 'Klik hier voor meer informatie.';
	$LANGLOOKUP ['from']				= 'van';
	$LANGLOOKUP ['level']				= 'niveau';
	$LANGLOOKUP ['until']				= 'tot';
	$LANGLOOKUP ['warning for']			= 'waarschuwing voor';	
	$LANGLOOKUP ['no warnings']			= 'Geen speciale alertheid vereist';
	$LANGLOOKUP ['wrnAvalanches']		= 'Lawines';	
	$LANGLOOKUP ['wrnCoastal'] 			= 'Kustbedreiging';	
	$LANGLOOKUP ['wrnExtreme high temperature'] = 'Extreme hitte';	
	$LANGLOOKUP ['wrnExtreme low temperature'] = 'Extreme koude';	
	$LANGLOOKUP ['wrnFog']				= 'Mist';	
	$LANGLOOKUP ['wrnForestfire']		= 'Bos- en heidebranden';	
	$LANGLOOKUP ['wrnOrange']			= 'Oranje';	
	$LANGLOOKUP ['wrnOrangeTxt']		= 'Potentieel gevaar voor iedereen';	
	$LANGLOOKUP ['wrnRain']				= 'Regen';	
	$LANGLOOKUP ['wrnRed']				= 'Rood';	
	$LANGLOOKUP ['wrnRedTxt']			= 'Extreem gevaar voor iedereen';	
	$LANGLOOKUP ['wrnSnow/Ice']			= 'Sneeuw/IJzel/Bevriezing';	
	$LANGLOOKUP ['wrnThunderstorms']	= 'Onweer';	
	$LANGLOOKUP ['wrnWind']				= 'Wind';	
	$LANGLOOKUP ['wrnYellow']			= 'Geel';	
	$LANGLOOKUP ['wrnYellowTxt']		= 'Potentieel gevaar bij weergevoelige activiteiten';
#
	$LANGLOOKUP ['wrnGreen']			= 'Groen';
	$LANGLOOKUP ['wrnGreenTxt']			= 'Het weer levert geen direct gevaar op.';
	$LANGLOOKUP ['wrnWhite']			= 'Wit';
	$LANGLOOKUP ['wrnWhiteTxt']			= 'Ontbrekende-, onvoldoende-, verouderde- of verdachte gegevens.';
}
include_once($SITE['warnInc']);								// load warning retrieve class and functions  php code
$alarm 		= new meteoAlarm ();							// create instance of class
$return 	= $alarm->getMeteoAlarm ($SITE['warnArea']);  	// retrieve info for this area
if (!$return) {												// so we could not read warning site
	echo '<!-- no warnings retrieved -->'.PHP_EOL;
} 
elseif ($return[0]['msg'] == 'no warnings' && !$SITE['warningGreen']) {  // there are no warnings more severe than green and we do not display them either
	echo '<!-- no warnings in order -->'.PHP_EOL;
	echo '<!-- no green box needed  -->'.PHP_EOL;
} 
elseif ($return[0]['msg'] == 'no warnings' && $SITE['warningGreen']) {  // there are no warnings more severe than green but we display this
	echo '<!-- no warnings in order -->'.PHP_EOL;
	echo '<div '.$SITE['warnCSS'].' >'.PHP_EOL;
		if ($SITE['warningsHeader']) {
			echo '<h3>'.langtransstr('There are no weatherwarnings from METEOalarm.EU').'&nbsp;&nbsp;&nbsp;<a href="'.$SITE['warningsMenu'].'">'.
				langtransstr('Click here to get more details.').'</a></h3>'.PHP_EOL;
		}
		echo '<table '.$SITE['tableCSS'].' >'.PHP_EOL;
			echo '<tr bgcolor="#99ff99"><td><img src="'.$SITE['warnImg'].'00'.'" title="'.$return[0]['msg'].'" alt=""/></td><td>'.
				'<span style="font-weight: bold;">'.langtransstr('wrnGreenTxt').'</span></td><td>'.
				'<span style="font-weight: bold;">'.langtransstr($return[0]['msg']).'</span></td></tr>'.PHP_EOL;
		echo '</table><br />'.PHP_EOL;
	echo '</div>'.PHP_EOL;
} 
else 
{
	echo '<div '.$SITE['warnCSS'].' >'.PHP_EOL;
	if ($SITE['warningsHeader']) {
	echo '<h3>'.langtransstr('There are weatherwarnings from METEOalarm.EU').'&nbsp;&nbsp;&nbsp;<a href="'.$SITE['warningsMenu'].'">'.
		langtransstr('Click here to get more details.').'</a></h3>'.PHP_EOL;
	}
	echo '<table '.$SITE['tableCSS'].' >'.PHP_EOL;
	for ($i = 0; $i < count($return); $i++) {
		if ($return[$i]['types'] == 'Thunderstorms') 								{$SITE['wrnLightning']	= true;}
		if ($return[$i]['types'] == 'Rain'  || $return[$i]['types'] == 'Snow/Ice') 	{$SITE['wrnRain'] 		= true;}
		echo "<tr bgcolor=".
			$return[$i]['color']."><td>".
			'<img src="'.$SITE['warnImg'].$return[$i]['img'].'" title="'.
			$return[$i]['msg']
			.'" alt=""/>'."</td><td>".
			langtransstr('from').':&nbsp;'.$return[$i]['from'].'</td><td>'.
			langtransstr('until').':&nbsp;'.$return[$i]['until'].'</td><td>'.
			langtransstr('warning for').':&nbsp;<span style="font-weight: bold;">'.langtransstr('wrn'.$return[$i]['types']).'</span>&nbsp;'.
			langtransstr('level').':&nbsp;<span style="font-weight: bold;">'.langtransstr('wrn'.$return[$i]['level']).'</span><br />'.langtransstr('wrn'.$return[$i]['level'].'Txt').
			"</td></tr>".PHP_EOL;
		if ($SITE['warningsXtnd']) {     // all weatherwarning text on every page
			echo "<tr><td colspan = '9'>".$return[$i]['msg']."</td></tr>".PHP_EOL;
		}
		if ($i < ( count($return) - 1) ) {
			echo '<tr><td colspan="9"><hr /></td></tr>'.PHP_EOL;}
	}
	echo "</table><br />".PHP_EOL;		
	echo "</div>".PHP_EOL;
}	
?>